#if !defined(AFX_FLASHOPTPAGE_H__F0AE4C5F_B91F_4AF2_A1BD_831B0C22BF22__INCLUDED_)
#define AFX_FLASHOPTPAGE_H__F0AE4C5F_B91F_4AF2_A1BD_831B0C22BF22__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FlashOptPage.h : header file
//

extern BOOL g_bInitSheet;



/////////////////////////////////////////////////////////////////////////////
// CFlashOptPage dialog

class CFlashOptPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CFlashOptPage)

// Construction
public:
	CFlashOptPage();
	~CFlashOptPage();
// Dialog Data
	//{{AFX_DATA(CFlashOptPage)
	enum { IDD = IDD_PROPPAGE_FLASH };
	CListCtrl	m_lstRead;
	BOOL	m_bActiveRead;
	//}}AFX_DATA

	CUIntArray m_agFlashOpr;

	BOOL	LoadSettings(LPCTSTR pFileName);
	BOOL	SaveSettings(LPCTSTR pFileName);

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFlashOptPage)
	public:
	virtual BOOL OnKillActive();
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void	Clear();
	void    FillReadList();

	CStringArray m_agReadFlash;
	CString m_strIniFile;

	// Generated message map functions
	//{{AFX_MSG(CFlashOptPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickLstRead(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeleditLstRead(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBtnClear();
	afx_msg void OnChkActiveReadFlash();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FLASHOPTPAGE_H__F0AE4C5F_B91F_4AF2_A1BD_831B0C22BF22__INCLUDED_)
